Skip to content
Changelog

Report a bug

Capsule CRM integration: operations for AI agents

Capsule CRM connects to Type.com as an integration. This page lists the 132 operations documented for Claude and Codex in Type.com: 67 read, 39 write, 26 destructive.

About Capsule CRM

Capsule CRM vendor API references, subject to account permissions.

Categories: Sales & CRM

How to connect Capsule CRM to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

132 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

132 operations listed.

  • Read

    List activity types

    List activity types The collection of all the activity types on this Capsule account. GET https://api.capsulecrm.com/api/v2/activitytypes

    GET /api/v2/activitytypes

  • Read

    Show activity type

    Show activity type Show a specific activity type. GET https://api.capsulecrm.com/api/v2/activitytypes/{activityTypeId}

    GET /api/v2/activitytypes/{activityTypeId}

  • Read

    List icons

    List icons List of icons that can be associated with activity types. GET https://api.capsulecrm.com/api/v2/activitytypes/icons

    GET /api/v2/activitytypes/icons

  • Read

    List boards

    List boards The collection of boards on the Capsule account. GET https://api.capsulecrm.com/api/v2/boards

    GET /api/v2/boards

  • Read

    Show board

    Show board Show a specific board. GET https://api.capsulecrm.com/api/v2/boards/{boardId}

    GET /api/v2/boards/{boardId}

  • Read

    List task categories

    List task categories The collection of all the task categories on this Capsule account. GET https://api.capsulecrm.com/api/v2/categories

    GET /api/v2/categories

  • Read

    Show task category

    Show task category Show a specific task category. GET https://api.capsulecrm.com/api/v2/categories/{categoryId}

    GET /api/v2/categories/{categoryId}

  • Read

    List custom fields

    List custom fields The collection of all custom fields on this Capsule account. The entity parameter inside the URL must be parties , opportunities or kases and defines which custom fields to return. GET https://api.capsulecrm.com/api/v2/{entity}/fields/definitions

    GET /api/v2/{entity}/fields/definitions

  • Read

    Show custom field

    Show custom field Show a specific custom field. GET https://api.capsulecrm.com/api/v2/{entity}/fields/definitions/{fieldId}

    GET /api/v2/{entity}/fields/definitions/{fieldId}

  • Read

    List custom titles

    List custom titles List custom titles for this Capsule account. GET https://api.capsulecrm.com/api/v2/titles

    GET /api/v2/titles

  • Read

    List entries

    List entries List notes, emails and completed tasks for parties , kases (projects) and opportunities . The entity parameter in the URL determines which entry type to list and must be one of parties , opportunities or kases (projects). entityId should be the id of a party, project or opportunity on the account. GET https://api.capsulecrm.com/api/v2/{entity}/{entityId}/entries

    GET /api/v2/{entity}/{entityId}/entries

  • Read

    List by date

    List by date List notes, emails and the details of completed party tasks in descending order starting with the most recent entry date first. GET https://api.capsulecrm.com/api/v2/entries

    GET /api/v2/entries

  • Read

    Show entry

    Show entry Show a specific note, email or the details of a completed party task. GET https://api.capsulecrm.com/api/v2/entries/{id}

    GET /api/v2/entries/{id}

  • Read

    Show attachment

    Show attachment Get the contents of an attachment. The contents can be saved locally to a file using the Content-disposition header to determine the file name. GET https://api.capsulecrm.com/api/v2/attachments/{attachmentId}

    GET /api/v2/attachments/{attachmentId}

  • Read

    List goals

    List goals The collection of all the goals on this Capsule account. GET https://api.capsulecrm.com/api/v2/goals

    GET /api/v2/goals

  • Read

    List goal periods

    List goal periods The collection of all the goal periods for a specific goal on this Capsule account. GET https://api.capsulecrm.com/api/v2/goals/{goalId}/periods

    GET /api/v2/goals/{goalId}/periods

  • Read

    Show goal

    Show goal Show a specific goal. GET https://api.capsulecrm.com/api/v2/goals/{goalId}

    GET /api/v2/goals/{goalId}

  • Read

    List countries

    List countries Collection of country names available in Capsule; useful for populating the country field of the party's address. These are the same for all Capsule accounts. GET https://api.capsulecrm.com/api/v2/countries

    GET /api/v2/countries

  • Read

    List currencies

    List currencies Collection of ISO currency code options available in Capsule; useful for populating and displaying the opportunities' value. These are the same for all Capsule accounts. GET https://api.capsulecrm.com/api/v2/currencies

    GET /api/v2/currencies

  • Read

    List lost reasons

    List lost reasons The collection of all the lost reasons on this Capsule account. GET https://api.capsulecrm.com/api/v2/lostreasons

    GET /api/v2/lostreasons

  • Read

    Show lost reason

    Show lost reason Show a specific lost reason. GET https://api.capsulecrm.com/api/v2/lostreasons/{lostReasonId}

    GET /api/v2/lostreasons/{lostReasonId}

  • Read

    List milestones

    List milestones The collection of all the milestones on the oldest active pipeline. This endpoint remains for backwards compatibility purposes. To list milestones on a specific pipeline, use the list milestones by pipeline endpoint . GET https://api.capsulecrm.com/api/v2/milestones

    GET /api/v2/milestones

  • Read

    List milestones by pipeline

    List milestones by pipeline List milestones associated with a pipeline. GET https://api.capsulecrm.com/api/v2/pipelines/{pipelineId}/milestones

    GET /api/v2/pipelines/{pipelineId}/milestones

  • Read

    Show milestone

    Show milestone Show a specific milestone. GET https://api.capsulecrm.com/api/v2/milestones/{milestoneId}

    GET /api/v2/milestones/{milestoneId}

  • Read

    List opportunities

    List opportunities The collection of Opportunities on the Capsule account. GET https://api.capsulecrm.com/api/v2/opportunities

    GET /api/v2/opportunities

  • Read

    List opportunities by party

    List opportunities by party The collection of all opportunities associated with the given party. GET https://api.capsulecrm.com/api/v2/parties/{partyId}/opportunities

    GET /api/v2/parties/{partyId}/opportunities

  • Read

    Show opportunity

    Show opportunity Returns a specific opportunity. GET https://api.capsulecrm.com/api/v2/opportunities/{opportunityId}

    GET /api/v2/opportunities/{opportunityId}

  • Read

    Show multiple opportunities

    Show multiple opportunities Return a list of opportunities, specified by the opportunityIds provided. The opportunityIds must be a comma separated list of integers and can contain at most 10 values. GET https://api.capsulecrm.com/api/v2/opportunities/{opportunityIds}

    GET /api/v2/opportunities/{opportunityIds}

  • Read

    List deleted opportunities

    List deleted opportunities A collection of opportunities that have been deleted from Capsule since the date specified in the since parameter. Also contains opportunities that have been made restricted for the user calling the API endpoint. GET https://api.capsulecrm.com/api/v2/opportunities/deleted

    GET /api/v2/opportunities/deleted

  • Read

    Search opportunities

    Search opportunities Search for opportunities on the Capsule account. This will return the same results as the global search inside Capsule. If you're looking for a more structured search endpoint you can use Filters to search by a specific field or tag. GET https://api.capsulecrm.com/api/v2/opportunities/search

    GET /api/v2/opportunities/search

  • Read

    List additional parties

    List additional parties The collection of additional parties related to this opportunity. GET https://api.capsulecrm.com/api/v2/opportunities/{opportunityId}/parties

    GET /api/v2/opportunities/{opportunityId}/parties

  • Read

    List associated projects

    List associated projects The collection of projects related to this opportunity. GET https://api.capsulecrm.com/api/v2/opportunities/{opportunityId}/kases

    GET /api/v2/opportunities/{opportunityId}/kases

  • Read

    List parties

    List parties The collection of Parties on the Capsule account. GET https://api.capsulecrm.com/api/v2/parties

    GET /api/v2/parties

  • Read

    Show party

    Show party Show a specific person or organisation. GET https://api.capsulecrm.com/api/v2/parties/{partyId}

    GET /api/v2/parties/{partyId}

  • Read

    Show multiple parties

    Show multiple parties Allows to load a list of parties by providing their unique ids. partyIds must be a comma separated list of integers and can contain at most 10 values. GET https://api.capsulecrm.com/api/v2/parties/{partyIds}

    GET /api/v2/parties/{partyIds}

  • Read

    List employees

    List employees The collection of employees linked to this organisation. GET https://api.capsulecrm.com/api/v2/parties/{partyId}/people

    GET /api/v2/parties/{partyId}/people

  • Read

    List deleted parties

    List deleted parties A collection of parties that have been deleted from Capsule since the date specified in the since parameter. Also contains parties that have been made restricted for the user calling the API endpoint. GET https://api.capsulecrm.com/api/v2/parties/deleted

    GET /api/v2/parties/deleted

  • Read

    Search parties

    Search parties Search for parties on the Capsule account. This will return the same results as the global search inside Capsule. If you're looking for a more structured search endpoint you can use Filters to search by a specific field or tag. GET https://api.capsulecrm.com/api/v2/parties/search

    GET /api/v2/parties/search

  • Read

    List pipelines

    List pipelines The collection of pipelines on the Capsule account. GET https://api.capsulecrm.com/api/v2/pipelines

    GET /api/v2/pipelines

  • Read

    Show pipeline

    Show pipeline Show a specific pipeline. GET https://api.capsulecrm.com/api/v2/pipelines/{pipelineId}

    GET /api/v2/pipelines/{pipelineId}

  • Read

    Show multiple pipelines

    Show multiple pipelines Allows to load a list of pipelines by providing their unique ids. pipelineIds must be a comma separated list of integers and can contain at most 10 values. GET https://api.capsulecrm.com/api/v2/pipelines/{pipelineIds}

    GET /api/v2/pipelines/{pipelineIds}

  • Read

    List projects

    List projects The collection of Projects on the Capsule account. GET https://api.capsulecrm.com/api/v2/kases

    GET /api/v2/kases

  • Read

    List projects by party

    List projects by party The collection of all projects associated with the given party. GET https://api.capsulecrm.com/api/v2/parties/{partyId}/kases

    GET /api/v2/parties/{partyId}/kases

  • Read

    Show project

    Show project Show a specific project. GET https://api.capsulecrm.com/api/v2/kases/{projectId}

    GET /api/v2/kases/{projectId}

  • Read

    Show multiple projects

    Show multiple projects Allows to load a list of projects by providing their unique ids. projectIds must be a comma separated list of integers and can contain at most 10 values. GET https://api.capsulecrm.com/api/v2/kases/{projectIds}

    GET /api/v2/kases/{projectIds}

  • Read

    List deleted projects

    List deleted projects A collection of projects that have been deleted from Capsule since the date specified in the since parameter. Also contains projects that have been made restricted for the user calling the API endpoint. GET https://api.capsulecrm.com/api/v2/kases/deleted

    GET /api/v2/kases/deleted

  • Read

    Search projects

    Search projects Search for projects on the Capsule account. This will return the same results as the global search inside Capsule. If you're looking for a more structured search endpoint you can use Filters to search by a specific field or tag. GET https://api.capsulecrm.com/api/v2/kases/search

    GET /api/v2/kases/search

  • Read

    List additional parties

    List additional parties The collection of additional parties related to this project. GET https://api.capsulecrm.com/api/v2/kases/{projectId}/parties

    GET /api/v2/kases/{projectId}/parties

  • Read

    List REST hooks

    List REST hooks The collection of REST hooks currently subscribed on the account. If authenticated via a registered application, only REST hooks subscribed by that application will be returned. GET https://api.capsulecrm.com/api/v2/resthooks

    GET /api/v2/resthooks

  • Read

    Show REST hook

    Show REST hook Show a specific REST hook. The REST hook is only visible to users authenticated via the registered application that subscribed it. GET https://api.capsulecrm.com/api/v2/resthooks/{restHookId}

    GET /api/v2/resthooks/{restHookId}

  • Read

    Show site address

    Show site address Shows the details of the site address the provided access token is associated with. GET https://api.capsulecrm.com/api/v2/site

    GET /api/v2/site

  • Read

    List stages

    List stages The collection of stages on the Capsule account. GET https://api.capsulecrm.com/api/v2/stages

    GET /api/v2/stages

  • Read

    List stages by board

    List stages by board List stages associated with a board. GET https://api.capsulecrm.com/api/v2/boards/{boardId}/stages

    GET /api/v2/boards/{boardId}/stages

  • Read

    Show stage

    Show stage Show a specific stage. GET https://api.capsulecrm.com/api/v2/stages/{stageId}

    GET /api/v2/stages/{stageId}

  • Read

    List tag definitions

    List tag definitions The collection of all of the tags on this Capsule account. The entity parameter inside the URL must be parties , opportunities or kases and defines which tags to return. GET https://api.capsulecrm.com/api/v2/{entity}/tags

    GET /api/v2/{entity}/tags

  • Read

    Show tag definition

    Show tag definition Show a specific tag. GET https://api.capsulecrm.com/api/v2/{entity}/tags/{tagId}

    GET /api/v2/{entity}/tags/{tagId}

  • Read

    List tasks

    List tasks The collection of Tasks on the Capsule account. By default the body will contain only the open tasks. If you want to retrieve pending and/or completed tasks use the status query parameter. GET https://api.capsulecrm.com/api/v2/tasks

    GET /api/v2/tasks

  • Read

    Show task

    Show task Show a specific task. GET https://api.capsulecrm.com/api/v2/tasks/{taskId}

    GET /api/v2/tasks/{taskId}

  • Read

    List teams

    List teams List all the teams on this Capsule account. GET https://api.capsulecrm.com/api/v2/teams

    GET /api/v2/teams

  • Read

    Show team

    Show team Show a specific team. GET https://api.capsulecrm.com/api/v2/teams/{teamId}

    GET /api/v2/teams/{teamId}

  • Read

    List tracks

    List tracks List tracks for a specific party, opportunity or project. The entity parameter inside the URL must be parties , opportunities or kases and defines which tracks to return. GET https://api.capsulecrm.com/api/v2/{entity}/{entityId}/tracks

    GET /api/v2/{entity}/{entityId}/tracks

  • Read

    Show track

    Show track Show a specific track. GET https://api.capsulecrm.com/api/v2/tracks/{trackId}

    GET /api/v2/tracks/{trackId}

  • Read

    List track definitions

    List track definitions List track definitions with the option to filter for track definitions for parties, opportunities or projects. GET https://api.capsulecrm.com/api/v2/trackdefinitions

    GET /api/v2/trackdefinitions

  • Read

    Show track definition

    Show track definition Show a specific track definition. GET https://api.capsulecrm.com/api/v2/trackdefinitions/{trackDefinitionId}

    GET /api/v2/trackdefinitions/{trackDefinitionId}

  • Read

    List users

    List users List all the users on this Capsule account. GET https://api.capsulecrm.com/api/v2/users

    GET /api/v2/users

  • Read

    Show current user

    Show current user Shows the details of the user the provided access token is associated with. In most cases this will be the user who approved your application. Each user has an associated Party record. It stores additional information about the user, including email addresses, phone numbers etc. In order to retrieve user information stored in a user's party record, you can embed party in the query. GET https://api.capsulecrm.com/api/v2/users/current

    GET /api/v2/users/current

  • Read

    Show user

    Show user Retrieve a specific user. Each user has an associated Party record. It stores additional information about the user, including email addresses, phone numbers etc. In order to retrieve user information stored in a user's party record, you can embed party in the query. GET https://api.capsulecrm.com/api/v2/users/{userId}

    GET /api/v2/users/{userId}

  • Write

    Create activity type

    Create activity type Creates a new activity type. The body must contain an object with a single property activityType which must be an Activity Type object . Please be aware that creating an activity type is only possible on a teams edition Capsule account. POST https://api.capsulecrm.com/api/v2/activitytypes { "activityType" : { "name" : "Video Conference", "icon" : { "id" : "PHONE" }, "updateLastContacted" : true } }

    POST /api/v2/activitytypes

  • Write

    Update activity type

    Update activity type Updates an existing activity type. The body must contain an object with a single property activityType which must be an Activity Type object . Fields that are not included in the request will remain unchanged. PUT https://api.capsulecrm.com/api/v2/activitytypes/{activityTypeId} { "activityType" : { "name" : "Tele Conference" } }

    PUT /api/v2/activitytypes/{activityTypeId}

  • Write

    Create board

    Create board Creates a new board. The body must contain an object with a single property board which must be a Board object . Capsule accounts can have at most 30 active (non-archived) boards at any one time. This operation requires the authenticated user to have an Administrator role on the Capsule account. POST https://api.capsulecrm.com/api/v2/boards { "board" : { "name" : "Design", "description" : "Workflow for designers" } }

    POST /api/v2/boards

  • Write

    Update board

    Update board Update an existing board. The body must contain an object with a single property board which must be a Board object . Fields that are not included in the request will remain unchanged. This operation requires the authenticated user to have an Administrator role on the Capsule account. PUT https://api.capsulecrm.com/api/v2/boards/{boardId} { "board" : { "name" : "Design" } }

    PUT /api/v2/boards/{boardId}

  • Write

    Restore board

    Restore board Restore an archived board. This operation requires the authenticated user to have an Administrator role on the Capsule account. POST https://api.capsulecrm.com/api/v2/boards/{boardId}/restore

    POST /api/v2/boards/{boardId}/restore

  • Write

    Create task category

    Create task category Creates a new task category. The body must contain an object with a single property category which must be a Category object . POST https://api.capsulecrm.com/api/v2/categories { "category" : { "name" : "Billing", "colour" : "#444444" } }

    POST /api/v2/categories

  • Write

    Update task category

    Update task category Allows to rename or change the colour of the task category. The body must contain an object with a single property category which must be a Category object . PUT https://api.capsulecrm.com/api/v2/categories/{categoryId} { "category" : { "colour" : "#d1c21a" } }

    PUT /api/v2/categories/{categoryId}

  • Write

    Create custom field

    Create custom field Creates a new party, opportunity or project custom field specified by the entity parameter inside the URL, which must be parties , opportunities or kases . Custom fields can be created on data tags - i.e. tags with dataTag set to true . Simply specify the id or name of the tag in the request body as shown below. The body must contain an object with a single property definition which must be a Field Definition object . POST https://api.capsulecrm.com/api/v2/{entity}/fields/definitions { "definition" : { "type" : "List", "name" : "Type", "options" : [ "Accounting", "Helpdesk", "Mailing" ], "tag" : { "name" : "Integration Partner" } } }

    POST /api/v2/{entity}/fields/definitions

  • Write

    Update custom field

    Update custom field Update the details of a party, opportunity or project field definition. The body must contain an object with a single property definition which must be a Field Definition object . PUT https://api.capsulecrm.com/api/v2/{entity}/fields/definitions/{fieldId} { "definition" : { "name" : "Integration Type", "tag" : { "name" : "Integration Partner" } } }

    PUT /api/v2/{entity}/fields/definitions/{fieldId}

  • Write

    Create custom title

    Create custom title Create a new custom title. The body must contain an object with a single property personTitle which must be a Title object . Capsule accounts can have at most 50 custom titles. This operation requires the authenticated user has an Administrator role on the Capsule account. POST https://api.capsulecrm.com/api/v2/titles { "personTitle" : { "title" : "Madam" } }

    POST /api/v2/titles

  • Write

    Create entry

    Create entry Creates a new entry. The body must contain an object with a single property entry which must be an Entry object . The note needs to be created for a party, project or opportunity, so exactly one of these needs to be included in the body of the request. This endpoint can only be used for creating notes; the type property must be set to note (currently the only accepted option). To apply changes to entities in attachments you can do the following: To add a new entity: create an entity without an id and token from a previous call to the Upload Attachment endpoint. POST https://api.capsulecrm.com/api/v2/entries { "entry" : { "attachments" : [ { "token" : "u1/e0/c8a5a36b-972c-405e-89ca-9a2a5c9ff192/1ba87cc2f6b2f7918ba7e467791eed6d/1e30171c70acf05e4d8b5fb4e0c94a8d" } ], "party" : { "id" : 892 }, "activityType" : -1, "type" : "note", "content" : "The quick brown fox\njumped over the lazy dog" } }

    POST /api/v2/entries

  • Write

    Upload attachment

    Upload attachment Upload an attachment ready to be attached to an entry. The following request headers are required . Content-Type - should be set to the MIME type of the file being uploaded. Content-Length - should be set to the length of the file being uploaded in bytes. X-Attachment-Filename - should be set to a URL encoded name of the file being uploaded. The contents of the file being uploaded should be submitted as the body of the request. POST https://api.capsulecrm.com/api/v2/attachments/upload

    POST /api/v2/attachments/upload

  • Write

    Run query

    Run query Runs a query and returns the matching results. The entity parameter in the URL determines which entity type to search and must be one of parties , opportunities or kases (projects). The conditions field in the request body is used to specify the search criteria. POST https://api.capsulecrm.com/api/v2/{entity}/filters/results { "filter": { "conditions": [ { "field": "tag", "operator": "is", "value": "VIP" }, { "field": "addedOn", "operator": "is within last", "value": 7 } ] } }

    POST /api/v2/{entity}/filters/results

  • Write

    Create goal

    Create goal Creates a new goal. The body must contain an object with a single property goal which must be a Goal object . POST https://api.capsulecrm.com/api/v2/goals { "goal" : { "name" : "Q4 2025", "type" : "bbc7a4b4-78eb-3bbd-85bb-9f20ec2e3f5d", "frequency" : "FIXED", "value" : 13666.0, "startOn" : "2025-03-12", "endOn" : "2025-10-18", "user" : 3, "currency" : "GBP" } }

    POST /api/v2/goals

  • Write

    Update goal

    Update goal Update an existing goal. The body must contain an object with a single property goal which must be a Goal object . Goal assignee, type, pipeline and milestone cannot be changed. PUT https://api.capsulecrm.com/api/v2/goals/{goalId} { "goal" : { "name" : "Contract Renewal" } }

    PUT /api/v2/goals/{goalId}

  • Write

    Create lost reason

    Create lost reason Creates a new lost reason. The body must contain an object with a single property lostReason which must be a Lost Reason object . This operation requires the authenticated user has an Administrator role on the Capsule account. POST https://api.capsulecrm.com/api/v2/lostreasons { "lostReason" : { "name" : "Poor Qualification", "includedForConversion" : true } }

    POST /api/v2/lostreasons

  • Write

    Update lost reason

    Update lost reason Update the name and inclusion in conversion calculation of lost reason. The body must contain an object with a single property lostReason which must be a Lost Reason object . Fields that are not included in the request will remain unchanged. This operation requires the authenticated user has an Administrator role on the Capsule account. PUT https://api.capsulecrm.com/api/v2/lostreasons/{lostReasonId} { "lostReason" : { "name" : "Poor Qualification", "includedForConversion" : true } }

    PUT /api/v2/lostreasons/{lostReasonId}

  • Write

    Create milestone

    Create milestone Creates a new opportunity milestone. The body must contain an object with a single property milestone which must be a Milestone object . POST https://api.capsulecrm.com/api/v2/milestones { "milestone" : { "name" : "Prospect", "description" : "The potential buyer has shared a goal or a problem with you", "probability" : 10 } }

    POST /api/v2/milestones

  • Write

    Update milestone

    Update milestone Update the name, description or probability of a milestone. The body must contain an object with a single property milestone which must be a Milestone object . PUT https://api.capsulecrm.com/api/v2/milestones/{milestoneId} { "milestone" : { "description" : "The potential buyer is interested in buying your product", "probability" : 25 } }

    PUT /api/v2/milestones/{milestoneId}

  • Write

    Create opportunity

    Create opportunity Creates a new opportunity. The body must contain an object with a single property opportunity which must be an Opportunity object . One or more tracks can be applied to the opportunity by including the relevant track ids in a tracks array. This is a convenient shortcut to apply tracks to new opportunities only, and tracks is not a field of Opportunity objects. Tracks can be specified using a definition object or the ID shorthand, or a mixture of both, as shown below. When adding tags you can specify either the tags id or name . Use the List Opportunity Tags operation to get the list of tags already defined on your Capsule account. To add a custom field you'll need to specify a definition id or name and a value . Use the List Field Definitions operation to get a list of the Opportunity fields defined on your Capsule account. If you are identifying the custom field by name and the field belongs to a DataTag, you also need to specify the tag's id or name . For custom fields that don't belong to a DataTag you should explicitly state "tag": null . POST https://api.capsulecrm.com/api/v2/opportunities { "opportunity": { "description": "Scope and design web site shopping cart", "party": { "id": 581 }, "milestone": { "id": 14 }, "value": { "amount": 500, "currency": "GBP" }, "expectedCloseOn": "2015-10-31", "probability": 50, "durationBasis": "FIXED", "name": "Consulting", "tracks": [ { "definition": { "id": 1 } }, { "definition": 2 } ], "fields": [ { "definition": { "id": 2 }, "value": "2015-09-02" }, { "definition": 3, "value": "Yellow" }, { "definition": { "name": "Client size", "tag": null }, "value": "Medium" }, { "definition": { "name": "Referral", "tag": 15 }, "value": "Yes" } ], "tags": [ { "id": 123 }, { "name": "Web design" } ] } }

    POST /api/v2/opportunities

  • Write

    Add additional party

    Add additional party Add a person or organisation as an additional contact to the opportunity. POST https://api.capsulecrm.com/api/v2/opportunities/{opportunityId}/parties/{partyId}

    POST /api/v2/opportunities/{opportunityId}/parties/{partyId}

  • Write

    Create party

    Create party Creates a new party. The body must contain an object with a single property party which must be a Party object . When adding tags you can specify either the tags id or name . Use the List Party Tags operation to get the list of tags already defined on your Capsule account. To link a new person to an organisation you need to specify the id or name of the organisation to link to. If name is used and an organisation with that name doesn't already exist it will be created at the same time as the person. "organisation": { "id": 1234 } "organisation": { "name": "HomeStyle" } The owner and team properties are optional, with either owner and/or team being provided to assign the party to a user and/or team. If the owner property is not provided, the owner will be set to the user of the api access token being used. To explicitly set no owner set the owner property to null . If the owner property is provided but no team property is provided, the owner's default team will be used. To explicitly set no team set the team property to null . One or more tracks can be applied to the party by including the relevant track ids in a tracks array. This is a convenient shortcut to apply tracks to new parties only, and tracks is not a field of Party objects. Tracks can be specified using a definition object or the ID shorthand, or a mixture of both, as shown below. When adding tags you can specify either the tags id or name . Use the List Party Tags operation to get the list of tags already defined on your Capsule account. To add a custom field you'll need to specify a definition id or name and a value . Use the List Field Definitions operation to get a list of the Party fields defined on your Capsule account. If you are identifying the custom field by name and the field belongs to a DataTag, you also need to specify the tag's id or name . For custom fields that don't belong to a DataTag you should explicitly state "tag": null . POST https://api.capsulecrm.com/api/v2/parties { "party": { "type": "person", "about": null, "title": "Mr", "firstName": "Scott", "lastName": "Spacey", "jobTitle": "Creative Director", "organisation": null, "owner": { "id": 1 }, "emailAddresses": [ { "type": "Work", "address": "scott@homestyleshop.co" } ], "addresses": [ { "type": null, "city": "Chicago", "country": "United States", "street": "847 North Rush Street", "state": "IL", "zip": "65629" } ], "phoneNumbers": [ { "type": null, "number": "773-338-7786" } ], "websites": [ { "type": "Home", "address": "https://capsulecrm.com", "service": "URL" }, { "type": "Work", "address": "capsulecrm", "service": "TWITTER" } ], "tags": [ {"name": "Web Design"}, {"id": 1641} ], "tracks": [ { "definition": { "id": 1 } }, { "definition": 2 } ], "fields": [ { "definition": { "id": 1 }, "value": "Website" }, { "definition": 2, "value": "2015-09-02" }, { "definition": { "name": "Date of Birth", "tag": null }, "value": "1979-02-03" }, { "definition": { "name": "Sector", "tag": 14 }, "value": "Technology" } ] } }

    POST /api/v2/parties

  • Write

    Create pipeline

    Create pipeline Creates a new pipeline. The body must contain an object with a single property pipeline which must be a Pipeline object . Capsule accounts can have at most 30 active (non-archived) pipelines at any one time. This operation requires the authenticated user to have an Administrator role on the Capsule account. POST https://api.capsulecrm.com/api/v2/pipelines { "pipeline" : { "name" : "SMB clients", "description" : "Process for small and medium-sized businesses" } }

    POST /api/v2/pipelines

  • Write

    Duplicate pipeline

    Duplicate pipeline Duplicate a specific pipeline. This operation requires the authenticated user to have an Administrator role on the Capsule account. POST https://api.capsulecrm.com/api/v2/pipelines/{pipelineId}/duplicate

    POST /api/v2/pipelines/{pipelineId}/duplicate

  • Write

    Update pipeline

    Update pipeline Update an existing pipeline. The body must contain an object with a single property pipeline which must be a Pipeline object . Fields that are not included in the request will remain unchanged. This operation requires the authenticated user to have an Administrator role on the Capsule account. PUT https://api.capsulecrm.com/api/v2/pipelines/{pipelineId} { "pipeline" : { "name" : "SMB clients" } }

    PUT /api/v2/pipelines/{pipelineId}

  • Write

    Restore pipeline

    Restore pipeline Restore an archived pipeline. This operation requires the authenticated user to have an Administrator role on the Capsule account. POST https://api.capsulecrm.com/api/v2/pipelines/{pipelineId}/restore

    POST /api/v2/pipelines/{pipelineId}/restore

  • Write

    Create project

    Create project Creates a new project. The body must contain an object with a single property kase which must be a Project object . One or more tracks can be applied to the project by including the relevant track ids in a tracks array. This is a convenient shortcut to apply tracks to new projects only, and tracks is not a field of Project objects. Tracks can be specified using a definition object or the ID shorthand, or a mixture of both, as shown below. When adding tags you can specify either the tags id or name . Use the List Project Tags operation to get the list of tags already defined on your Capsule account. To add a custom field you'll need to specify a definition id or name and a value . Use the List Field Definitions operation to get a list of the Project fields defined on your Capsule account. If you are identifying the custom field by name and the field belongs to a DataTag, you also need to specify the tag's id or name . For custom fields that don't belong to a DataTag you should explicitly state "tag": null . POST https://api.capsulecrm.com/api/v2/kases { "kase": { "party": { "id": 892 }, "status": "OPEN", "description": "Scope and design web site shopping cart", "name": "Consulting", "stage": 149, "startOn": "2015-11-15", "expectedCloseOn": "2015-12-09", "tracks": [ { "definition": { "id": 1 } }, { "definition": 2 } ], "fields": [ { "definition": { "id": 2 }, "value": "2015-09-02" }, { "definition": 3, "value": "Yellow" }, { "definition": { "name": "Size", "tag": null }, "value": "Medium" }, { "definition": { "name": "Referral", "tag": 15 }, "value": "Yes" } ] } }

    POST /api/v2/kases

  • Write

    Add additional party

    Add additional party Add a person or organisation as an additional contact to the project. POST https://api.capsulecrm.com/api/v2/kases/{projectId}/parties/{partyId}

    POST /api/v2/kases/{projectId}/parties/{partyId}

  • Write

    Subscribe REST hook

    Subscribe REST hook Subscribes to an event in Capsule. A maximum 20 REST hooks can be subscribed per account. The body must contain an object with a single property restHook which must be a REST Hook object . This operation requires that the User has an Administrator role on the account, and is authenticated via a registered application. POST https://api.capsulecrm.com/api/v2/resthooks { "restHook" : { "event" : "party/created", "targetUrl" : "https://cool.site/partycreatedhook", "description" : "An amazing hook that will change the world." } }

    POST /api/v2/resthooks

  • Write

    Create stage

    Create stage Creates a new stage. The body must contain an object with a single property stage which must be a Stage object . This operation requires the authenticated user to have an Administrator role on the Capsule account. POST https://api.capsulecrm.com/api/v2/stages { "stage" : { "name" : "Project Brief", "description" : "Define what needs to be done", "board" : 34, "displayOrder" : 1 } }

    POST /api/v2/stages

  • Write

    Update stage

    Update stage Update the name, description or position of a stage. The body must contain an object with a single property stage which must be a Stage object . This operation requires the authenticated user to have an Administrator role on the Capsule account. PUT https://api.capsulecrm.com/api/v2/stages/{stageId} { "stage" : { "name" : "Planning", "description" : "How to do what needs to be done", "displayOrder" : 2 } }

    PUT /api/v2/stages/{stageId}

  • Write

    Create tag definition

    Create tag definition Defines a new party, opportunity or project tag. The type of this tag is defined by the entity parameter inside the URL which must be parties , opportunities or kases . The body must contain an object with a single property tag which must be a Tag Definition object . To create a new data tag set the dataTag field to true and then separately use the add field definition endpoint to add custom fields. POST https://api.capsulecrm.com/api/v2/{entity}/tags { "tag" : { "name" : "Nice Guy", "dataTag" : false } }

    POST /api/v2/{entity}/tags

  • Write

    Update tag definition

    Update tag definition Update the details of a party, opportunity or project tag. The body must contain an object with a single property tag which must be a Tag Definition object . To convert a data tag back to a simple tag you will need to first delete all the custom field definitions linked to it and then set the dataTag field to false . PUT https://api.capsulecrm.com/api/v2/{entity}/tags/{tagId} { "tag" : { "name" : "Nice Person" } }

    PUT /api/v2/{entity}/tags/{tagId}

  • Write

    Create task

    Create task Creates a new task. The body must contain an object with a single property task which must be a Task object . POST https://api.capsulecrm.com/api/v2/tasks { "task" : { "description" : "Email product details", "party" : { "id" : 11587 }, "dueOn" : "2014-05-20", "dueTime" : "18:00:48" } }

    POST /api/v2/tasks

  • Write

    Update task

    Update task Update the specified task. The body must contain an object with a single property task which must be a Task object . Fields that are not included in the request will remain unchanged. PUT https://api.capsulecrm.com/api/v2/tasks/{taskId} { "task" : { "description" : "Email product info", "detail" : "Send information about product design and prices" } }

    PUT /api/v2/tasks/{taskId}

  • Write

    Create track

    Create track Applies a Track definition to a party, opportunity or project to create a track. POST https://api.capsulecrm.com/api/v2/tracks { "track" : { "description" : "Complaint Process (Important)", "trackDateOn" : "2016-01-01", "kase" : 4, "definition" : 1 } }

    POST /api/v2/tracks

  • Write

    Update track

    Update track Updates basic details about the track - only description and trackDateOn can be modified by this endpoint. PUT https://api.capsulecrm.com/api/v2/tracks/{trackId} { "track" : { "description" : "Complaint Process (Important)", "trackDateOn" : "2016-01-01" } }

    PUT /api/v2/tracks/{trackId}

  • Write

    Create track definition

    Create track definition Create a track definition. POST https://api.capsulecrm.com/api/v2/trackdefinitions { "trackDefinition" : { "description" : "Complaint Process", "captureRule" : "OPPORTUNITY", "direction" : "START_DATE", "tag" : "complaint", "taskDefinitions" : [ { "description" : "First review", "daysAfterRule" : "TRACK_START", "daysAfter" : 5, "displayOrder" : 1, "category" : 4, "dayDelayRule" : "TRACK_DAYS", "trackTaskAssignee" : { "assigneeType" : "ENTITY_OWNER" } }, { "description" : "Escalate to Management Team", "daysAfterRule" : "LAST_TASK", "daysAfter" : 10, "displayOrder" : 2, "category" : { "name" : "Call" }, "dayDelayRule" : "TRACK_WORKDAYS", "trackTaskAssignee" : { "assigneeType" : "ENTITY_OWNER" } }, { "description" : "Escalate to Regulator", "daysAfterRule" : "TRACK_START", "daysAfter" : 25, "displayOrder" : 3, "dayDelayRule" : "TRACK_WEEKS", "trackTaskAssignee" : { "assigneeType" : "ENTITY_OWNER" } } ] } }

    POST /api/v2/trackdefinitions

  • Write

    Update user

    Update user Update an existing user. The body must contain an object with a single property user which must be a User object . Fields that are not included in the requests will remain unchanged. While it's not possible to change which party a user is linked to, you can update the party itself by editing it directly . For an update to succeed your API token must have the user_preference scope. PUT https://api.capsulecrm.com/api/v2/users/{userId}

    PUT /api/v2/users/{userId}

  • Destructive

    Delete activity type

    Delete activity type Removes an activity type from the Capsule account. DELETE https://api.capsulecrm.com/api/v2/activitytypes/{activityTypeId}

    DELETE /api/v2/activitytypes/{activityTypeId}

  • Destructive

    Archive board

    Archive board Archive the specific board. This operation requires the authenticated user to have an Administrator role on the Capsule account. DELETE https://api.capsulecrm.com/api/v2/boards/{boardId}

    DELETE /api/v2/boards/{boardId}

  • Destructive

    Delete task category

    Delete task category Removes a category from the Capsule account. Any tasks under this category will be retained but will become uncategorized. DELETE https://api.capsulecrm.com/api/v2/categories/{categoryId}

    DELETE /api/v2/categories/{categoryId}

  • Destructive

    Delete custom field

    Delete custom field Removes a custom field from this Capsule account. Note that this will remove the field value from any parties, opportunities and projects it was assigned to. DELETE https://api.capsulecrm.com/api/v2/{entity}/fields/definitions/{fieldId}

    DELETE /api/v2/{entity}/fields/definitions/{fieldId}

  • Destructive

    Delete custom title

    Delete custom title Delete a custom title from Capsule. Titles can only be deleted if they are not in use by any party. This operation requires the authenticated user has an Administrator role on the Capsule account. DELETE https://api.capsulecrm.com/api/v2/titles/{titleId}

    DELETE /api/v2/titles/{titleId}

  • Destructive

    Update entry

    Update entry Update the content of notes and emails. The body must contain an object with a single property entry which must be an Entry object . This endpoint can only be applied to entries of type email or note . To apply changes to entities in attachments you can do the following: To add a new entity: create an entity without an id , and add the token from a previous call to the Upload Attachment endpoint. To delete an existing entity: include the id and the following JSON attribute "_delete": true . If you're removing the last attachment from an entry without content it will result in a validation error as you cannot have an entry with no content and no attachments. You should just use the Delete Entry endpoint instead. PUT https://api.capsulecrm.com/api/v2/entries/{id} { "entry" : { "content" : "The quick brown fox\njumped over the lazy dog", "attachments" : [ { "id" : 2, "_delete" : true } ] } }

    PUT /api/v2/entries/{id}

  • Destructive

    Delete entry

    Delete entry Remove an entry from the Capsule account and any associated attachments. DELETE https://api.capsulecrm.com/api/v2/entries/{id}

    DELETE /api/v2/entries/{id}

  • Destructive

    Delete goal

    Delete goal Removes a goal from the Capsule account. DELETE https://api.capsulecrm.com/api/v2/goals/{goalId}

    DELETE /api/v2/goals/{goalId}

  • Destructive

    Delete lost reason

    Delete lost reason Removes a lost reason from the Capsule account. Lost Reasons may not be immediately deleted and may be kept for reporting on historical records, however you will not be able to select a lost reason marked for deletion on a new opportunity or while updating an opportunity. This operation requires the authenticated user has an Administrator role on the Capsule account. DELETE https://api.capsulecrm.com/api/v2/lostreasons/{lostReasonId}

    DELETE /api/v2/lostreasons/{lostReasonId}

  • Destructive

    Delete milestone

    Delete milestone Removes a milestone from the Capsule account. You cannot delete a milestone while it is still being used on an opportunity. First you need to change or remove the milestone on all such opportunities. DELETE https://api.capsulecrm.com/api/v2/milestones/{milestoneId}

    DELETE /api/v2/milestones/{milestoneId}

  • Destructive

    Update opportunity

    Update opportunity Updates an existing opportunity. The body must contain an object with a single property opportunity which must be an Opportunity object . Fields that are not included in the request will remain unchanged. An owner and/or team are required on an opportunity. To apply changes to entities in the tags or fields collections you can do the following: To add a new entity: create an entity without an id . To update an existing entity: include the id and any attributes that are being updated. To delete an existing entity: include the id and the following JSON attribute "_delete": true . To add a custom field to an opportunity, include the id of the field definition (which can be obtained by listing your custom fields ) and the value you want to apply to the field. You can follow the same steps to update an existing custom field value, or you can use the field instance id . Both ways are demonstrated below. PUT https://api.capsulecrm.com/api/v2/opportunities/{opportunityId} { "opportunity": { "name": "new opportunity name", "tags": [ { "id": 4, "_delete": true } ], "fields": [ { "id": 1, "value": "sale" }, { "definition": { "id": 18 }, "value": "2025-11-28" } ] } }

    PUT /api/v2/opportunities/{opportunityId}

  • Destructive

    Delete opportunity

    Delete opportunity Fully delete a specific opportunity from Capsule. DELETE https://api.capsulecrm.com/api/v2/opportunities/{opportunityId}

    DELETE /api/v2/opportunities/{opportunityId}

  • Destructive

    Remove additional party

    Remove additional party Remove that person or organisation as an additional contact of the opportunity. DELETE https://api.capsulecrm.com/api/v2/opportunities/{opportunityId}/parties/{partyId}

    DELETE /api/v2/opportunities/{opportunityId}/parties/{partyId}

  • Destructive

    Update party

    Update party Update an existing party. The body must contain an object with a single property party which must be a Party object . Fields that are not included in the request will remain unchanged. The owner and team are optional, with either owner and/or team being provided to assign the party to a user and/or team. If the owner property is provided but no team property is provided, the owner's default team will be used, you can override this by setting the team property to null . To apply changes to entities in the addresses , phoneNumbers , websites , emailAddresses , tags or fields collections you can do the following: To add a new entity: create an entity without an id . To update an existing entity: include the id and any attributes that are being updated. To delete an existing entity: include the id and the following JSON attribute "_delete": true . To add a custom field to a party, include the id of the field definition (which can be obtained by listing your custom fields ) and the value you want to apply to the field. You can follow the same steps to update an existing custom field value, or you can use the field instance id . Both ways are demonstrated below. PUT https://api.capsulecrm.com/api/v2/parties/{partyId} { "party": { "about": "Started as creative director in 2012", "phoneNumbers": [ { "id": 12136, "_delete": true } ], "emailAddresses": [ { "id": 12137, "type": "Home" }, { "type": "Work", "address": "sales@homestyleshop.co" } ], "fields": [ { "id": 1, "value": "2025-11-28" }, { "definition": { "id": 18 }, "value": "Account Manager" } ] } }

    PUT /api/v2/parties/{partyId}

  • Destructive

    Delete party

    Delete party Fully delete the specific party from Capsule. DELETE https://api.capsulecrm.com/api/v2/parties/{partyId}

    DELETE /api/v2/parties/{partyId}

  • Destructive

    Archive pipeline

    Archive pipeline Archive the specific pipeline. This operation requires the authenticated user to have an Administrator role on the Capsule account. DELETE https://api.capsulecrm.com/api/v2/pipelines/{pipelineId}

    DELETE /api/v2/pipelines/{pipelineId}

  • Destructive

    Update project

    Update project Updates an existing project. The body must contain an object with a single property kase which must be a Project object . Fields that are not included in the request will remain unchanged. An owner and/or team are required on a project. To apply changes to entities in the tags or fields collections you can do the following: To add a new entity: create an entity without an id . To update an existing entity: include the id and any attributes that are being updated. To delete an existing entity: include the id and the following JSON attribute "_delete": true . To add a custom field to a project, include the id of the field definition (which can be obtained by listing your custom fields ) and the value you want to apply to the field. You can follow the same steps to update an existing custom field value, or you can use the field instance id . Both ways are demonstrated below. PUT https://api.capsulecrm.com/api/v2/kases/{projectId} { "kase": { "name": "new project name", "tags": [ { "id": 2 }, { "id": 3, "_delete": true } ], "fields": [ { "id": 1, "value": "follow-up" }, { "definition": { "id": 5 }, "value": "2025-11-28" } ] } }

    PUT /api/v2/kases/{projectId}

  • Destructive

    Delete project

    Delete project Fully delete the specific project from Capsule. DELETE https://api.capsulecrm.com/api/v2/kases/{projectId}

    DELETE /api/v2/kases/{projectId}

  • Destructive

    Remove additional party

    Remove additional party Remove a specific person or organisation as an additional contact of the project. DELETE https://api.capsulecrm.com/api/v2/kases/{projectId}/parties/{partyId}

    DELETE /api/v2/kases/{projectId}/parties/{partyId}

  • Destructive

    Unsubscribe REST hook

    Unsubscribe REST hook Unsubscribes a REST hook, stopping all events immediately. This operation requires that the user has an Administrator role on the account, and is authenticated via the same registered application that subscribed the REST hook to be deleted. DELETE https://api.capsulecrm.com/api/v2/resthooks/{restHookId}

    DELETE /api/v2/resthooks/{restHookId}

  • Destructive

    Delete stage

    Delete stage Removes a stage from the Capsule account. You cannot delete a stage while it is still being used on an open project. First you need to change or remove the stage on all such projects. This operation requires the authenticated user to have an Administrator role on the Capsule account. DELETE https://api.capsulecrm.com/api/v2/stages/{stageId}

    DELETE /api/v2/stages/{stageId}

  • Destructive

    Delete tag definition

    Delete tag definition Removes a tag from the Capsule account. Note that this will remove the tag from any parties, opportunities and projects it was assigned to. DELETE https://api.capsulecrm.com/api/v2/{entity}/tags/{tagId}

    DELETE /api/v2/{entity}/tags/{tagId}

  • Destructive

    Delete task

    Delete task Fully delete the specific task from Capsule. DELETE https://api.capsulecrm.com/api/v2/tasks/{taskId}

    DELETE /api/v2/tasks/{taskId}

  • Destructive

    Delete track

    Delete track Remove track and related tasks from party, opportunity or project. DELETE https://api.capsulecrm.com/api/v2/tracks/{trackId}

    DELETE /api/v2/tracks/{trackId}

  • Destructive

    Update track definition

    Update track definition Update the details of a specific track definition. The body must contain an object with a single property trackDefinition which must be a Track Definition object . Fields that are not included in the request will remain unchanged. To apply changes to entities in the taskDefinitions collection you can do the following: To add a new task definition: include an entity without an id . To update an existing task definition: include the id and any attributes that are being updated. To delete an existing task definition: include the id and the following JSON attribute "_delete": true . PUT https://api.capsulecrm.com/api/v2/trackdefinitions/{trackDefinitionId} { "trackDefinition" : { "description" : "Updated Complain Process", "taskDefinitions" : [ { "id" : 2, "_delete" : true }, { "id" : 3, "daysAfter" : 5 }, { "description" : "Escalate to Regulator", "daysAfterRule" : "TRACK_START", "daysAfter" : 25, "displayOrder" : 3, "trackTaskAssignee" : { "assigneeType" : "ENTITY_OWNER" }, "dayDelayRule" : "TRACK_WEEKS" } ] } }

    PUT /api/v2/trackdefinitions/{trackDefinitionId}

  • Destructive

    Delete track definition

    Delete track definition Delete a track definition. DELETE https://api.capsulecrm.com/api/v2/trackdefinitions/{trackDefinitionId}

    DELETE /api/v2/trackdefinitions/{trackDefinitionId}

See How connections work for access and permissions, or browse all integrations.

Reference date: October 29, 2026. Capsule CRM API docs.